> For the complete documentation index, see [llms.txt](https://docs.realmjoin.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.realmjoin.com/de/automatisierung/runbooks/runbook-references/org/general/export-all-autopilot-devices.md).

# Alle Autopilot-Geräte exportieren

Alle Windows Autopilot-Geräte auflisten oder exportieren

### Beschreibung

Listet jede Windows Autopilot-Registrierung mit ihren Details auf, entweder in der Ausführungsausgabe oder als CSV-Datei, die in einen Azure Storage Account hochgeladen wurde, mit einem zeitlich begrenzten Download-Link. Es wird nichts geändert.

### Speicherort

Organisation → Allgemein → Alle Autopilot-Geräte exportieren

**Voller Runbook-Name**

rjgit-org\_general\_export-all-autopilot-devices

### Details

| Eigenschaft          | Wert                                |
| -------------------- | ----------------------------------- |
| Version              | 1.0.1                               |
| Erforderliche Module | RealmJoin.RunbookHelper (>= 0.8.10) |
| Planbar              | nein                                |

### Berechtigungen

#### Anwendungsberechtigungen

* **Typ**: Microsoft Graph
  * DeviceManagementManagedDevices.Read.All
    * *Ergänzt jedes Autopilot-Gerät mit Intune-Daten über /deviceManagement/managedDevices*
  * DeviceManagementServiceConfig.Read.All
    * *Listet windowsAutopilotDeviceIdentities als Basisdaten des Exports auf*

### Parameter

#### In Datei exportieren

In der Ausführungsausgabe auflisten oder in eine CSV-Datei mit einem Download-Link exportieren.

| Eigenschaft  | Wert     |
| ------------ | -------- |
| Erforderlich | falsch   |
| Standardwert | Falsch   |
| Typ          | Boolesch |

**Portaloptionen**

| Portaloption                        | Wert   |
| ----------------------------------- | ------ |
| In eine CSV-Datei exportieren       | wahr   |
| In der Ausführungsausgabe auflisten | falsch |

#### ContainerName

Storage-Container, in den die CSV-Datei hochgeladen wird. Übernommen aus der Tenant-Einstellung IntuneDevicesReport.Container.

| Eigenschaft            | Wert                                            |
| ---------------------- | ----------------------------------------------- |
| Erforderlich           | falsch                                          |
| Standardwert           |                                                 |
| Typ                    | Zeichenfolge                                    |
| Im Portal ausgeblendet | ja (vorkonfiguriert über die Runbook-Anpassung) |

#### ResourceGroupName

Ressourcengruppe des Storage Account. Übernommen aus der Tenant-Einstellung IntuneDevicesReport.ResourceGroup.

| Eigenschaft            | Wert                                            |
| ---------------------- | ----------------------------------------------- |
| Erforderlich           | falsch                                          |
| Standardwert           |                                                 |
| Typ                    | Zeichenfolge                                    |
| Im Portal ausgeblendet | ja (vorkonfiguriert über die Runbook-Anpassung) |

#### StorageAccountName

Storage Account für den Export. Übernommen aus der Tenant-Einstellung IntuneDevicesReport.StorageAccount.Name.

| Eigenschaft            | Wert                                            |
| ---------------------- | ----------------------------------------------- |
| Erforderlich           | falsch                                          |
| Standardwert           |                                                 |
| Typ                    | Zeichenfolge                                    |
| Im Portal ausgeblendet | ja (vorkonfiguriert über die Runbook-Anpassung) |

#### StorageAccountLocation

Azure-Region, die verwendet wird, wenn der Storage Account erstellt werden muss. Übernommen aus der Tenant-Einstellung IntuneDevicesReport.StorageAccount.Location.

| Eigenschaft            | Wert                                            |
| ---------------------- | ----------------------------------------------- |
| Erforderlich           | falsch                                          |
| Standardwert           |                                                 |
| Typ                    | Zeichenfolge                                    |
| Im Portal ausgeblendet | ja (vorkonfiguriert über die Runbook-Anpassung) |

#### StorageAccountSku

Leistungsstufe, die verwendet wird, wenn der Storage Account erstellt werden muss. Übernommen aus der Tenant-Einstellung IntuneDevicesReport.StorageAccount.Sku.

| Eigenschaft            | Wert                                            |
| ---------------------- | ----------------------------------------------- |
| Erforderlich           | falsch                                          |
| Standardwert           |                                                 |
| Typ                    | Zeichenfolge                                    |
| Im Portal ausgeblendet | ja (vorkonfiguriert über die Runbook-Anpassung) |

[Zurück zur Übersicht der Runbook-Referenz](/de/automatisierung/runbooks/runbook-references.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.realmjoin.com/de/automatisierung/runbooks/runbook-references/org/general/export-all-autopilot-devices.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
